%define		_state		stable
%define		orgname		libkcompactdisc
%define		qtver		4.8.1

Summary:	K Desktop Environment - compact disc library
Name:		kde4-%{orgname}
Version:	4.10.4
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fffc562975293d84db7d1efa9073095c
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A KDE compact disc library

%package devel
Summary:	Header files for libkcompactdisc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libkcompactdisc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libkcompactdisc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libkcompactdisc.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkcompactdisc.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkcompactdisc.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/libkcompactdisc
%attr(755,root,root) %{_libdir}/libkcompactdisc.so
%dir %{_libdir}/cmake/libkcompactdisc
%{_libdir}/cmake/libkcompactdisc/LibkcompactdiscConfig.cmake
%{_libdir}/cmake/libkcompactdisc/LibkcompactdiscTargets-pld.cmake
%{_libdir}/cmake/libkcompactdisc/LibkcompactdiscTargets.cmake
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkcompactdisc.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 2dba721
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 0a687bf
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 57b9f65
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> d0cde0b
- updated to 4.9.3.

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5784deb
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 16b645c
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 0295f5c
- Own cmake directory
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 323bd80
- Updated summaries, BRs and files
Release 1

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 34e7ba9
- Fixed group, better naming

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> ec2994b
- Initial commit, split from kde4-kdemultimedia, BRs probably wrong

